String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	SM("L");
}
//**************************************************************************
function CalPCS(){
	var pc=gv("TxtPco");
	var mn=gv("CboMnd");
	var tc=gv("TxtTC");
	if(mn=="SOLES"){
		sv("TxtPcs",pc);
	}else{
		var pcs=jVal(pc)*jVal(tc);
		sv("TxtPcs",pcs.toFixed(2));
	}
}
//**************************************************************************
function fGuardar(){
	var idd=gv("TxtId");
	var cod=gv("TxtCod");
	var tip=gv("CboLin");
	var des=gv("TxtDes");
	var mar=gv("CboMar");
	var uni=gv("CboUni");
	var pco=gv("TxtPco");
	var mnd=gv("CboMnd");
	var tca=gv("TxtTC");
	var pcs=gv("TxtPcs");
	var pvs=gv("TxtPvs");
	var prv=gv("CboPrv");
	var StrF=gv("Foto");
	//
	if(jL(des)==0){
		return AF("Ingrese el nombre o descripcion del producto","TxtDes");
	}
	//
	if(jLen(StrF)>0){
		StrF=StrF.toUpperCase();
		var png=StrF.indexOf(".PNG");
		if(png==-1){			
			return AF("Solo se permite imagenes de los siguientes formatos .png ","Foto");
		}
		var F11=document.getElementById("Foto");
		var StrFile = F11.files[0];
		if(StrFile.size>80*1024){
			alert("El tamaño del archivo no debe ser superior a 80Kb");
			jF("Foto");
			return;
		}
	}
	//
	if(document.getElementById("CmdG").value=="Guardar"){
		SM("G");
	}else{
		SM("M");
	}	
}
/**************************************************************************
	onkeypress="return pulsar(event);"
**************************************************************************/
function pulsar(e) { 	
	var tecla = (document.all) ? e.keyCode :e.which; 
	var Obj=event.srcElement.name;	
	if(Obj=="TxtNom"){
		if(tecla==13){			
			document.getElementById('CmdG').click();			
		}
	}	
	return (tecla!=13); 
} 
//**************************************************************************

$(document).keydown(function(e){
	var AT=gv("TxtAT");
	
	if(e.which==71 && e.altKey){		
		if(AT=="1"){	
		document.getElementById("CmdG").click();
		return;
		}
	}
	
	if(e.which==78 && e.altKey){
		if(AT=="1"){
		document.getElementById("CmdC").click();
		return;
		}
	}
	
	if(e.which==75 && e.altKey){
		if(AT=="1"){	
		document.getElementById("CmdE").click();
		return;
		}
	}

	if(e.which==66 && e.altKey){
		if(AT=="1"){	
		document.getElementById("CmdB").click();
		return;
		}
	}

	if(e.which==77 && e.altKey){
		if(AT=="1"){
		document.getElementById("CmdZ").click();
		return;
		}
	}
  
});
//
function fFabricantes(){
	R=fLista("fab_nom","fabricantes","id_fab>=0");
	FCBO('CboFab',R);
	jF("CboFab");
}

function fModelos(){
	R=fLista("mod_nom","modelos","id_mod>=0");
	FCBO('CboMod',R);
	jF("CboMod");
}

function fMarcas(){
	R=fLista("mar_nombre","marcas","id_marca>=0");
	FCBO('CboMar',R);
	jF("CboMar");
}

function fUnidades(){
	R=fLista("uni_nombre","unidades","id_unidad>=0");
	FCBO('CboUni',R);
	jF("CboUni");
}

function fProveedores(){
	R=fLista("pro_nombre","proveedores","id_proveedor>=0");
	FCBO('CboPrv',R);
	jF("CboPrv");
}


function fEfoto(){
	if(pre("Esta seguro que desea Eliminar la Foto Actual")){
		SM("EF");
	}
}
//
function InsFab(){
	Ow("fabricantes_p.php",462*ZO(),216*ZO());
}

function InsLin(){
	Ow("lineas_p.php",470*ZO(),220*ZO());
}

function InsMod(){
	Ow("modelos_p.php",462*ZO(),216*ZO());
}

function InsMar(){
	Ow("marcas_p.php",470*ZO(),220*ZO());
}

function InsUni(){
	Ow("unidades_p.php",470*ZO(),220*ZO());
}

function InsPro(){
	Ow("proveedores_p.php",470*ZO(),220*ZO());
}

function fLinea(){
	R=fLista("lin_nombre","lineas","id_linea>=0");
	FCBO('CboLin',R);
	jF("CboLin");
}